CMSIS-Driver: WiFi Socket Type definitions

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
WiFi Socket Type definitions
WiFi Socket

WiFi Socket Type definitions. More...

## Macros

#define | ARM_SOCKET_SOCK_STREAM 1
| Stream socket. More...
#define | ARM_SOCKET_SOCK_DGRAM 2
| Datagram socket. More...

## Description

WiFi Socket Type definitions.

The WiFi Socket Type specifies the type of the WiFi socket.

## Macro Definition Documentation

#define ARM_SOCKET_SOCK_STREAM 1

Stream socket.

Stream Socket is connection-oriented, sequenced and reliable, implemented on top of the TCP protocol.

#define ARM_SOCKET_SOCK_DGRAM 2

Datagram socket.

Datagram Socket is connectionless, unreliable, using the UDP protocol.